Loading...
Searching...
No Matches
geo_rep< T, distributed >

## Detailed Description

template<class T>
class rheolef::geo_rep< T, distributed >

distributed mesh representation

Definition at line 929 of file geo.h.

Inheritance diagram for geo_rep< T, distributed >:

## Public Types

typedef geo_base_rep< T, distributed > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::variant_type | variant_type
typedef base::node_map_type | node_map_type
typedef base::reference | reference
typedef base::const_reference | const_reference
typedef base::iterator | iterator
typedef base::const_iterator | const_iterator
typedef base::iterator_by_variant | iterator_by_variant
typedef base::const_iterator_by_variant | const_iterator_by_variant
typedef base::coordinate_type | coordinate_type
typedef base::geo_element_map_type | geo_element_map_type
Public Types inherited from geo_base_rep< T, distributed >
typedef geo_abstract_rep< T, distributed > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::variant_type | variant_type
typedef base::iterator | iterator
typedef base::const_iterator | const_iterator
typedef base::iterator_by_variant | iterator_by_variant
typedef base::const_iterator_by_variant | const_iterator_by_variant
typedef base::reference | reference
typedef base::const_reference | const_reference
typedef base::coordinate_type | coordinate_type
typedef std::unordered_map< std::string, void * > | loaded_map_t

## Public Member Functions

| geo_rep ()
| geo_rep (const geo_rep< T, distributed > &)
geo_abstract_rep< T, distributed > * | clone () const
void | build_from_domain (const domain_indirect_rep< distributed > &indirect, const geo_abstract_rep< T, distributed > &omega, std::map< size_type, size_type > &bgd_ie2dom_ie, std::map< size_type, size_type > &dis_bgd_ie2dis_dom_ie)
| geo_rep (const geo_basic< T, distributed > &lambda, const disarray< point_basic< T >, distributed > &node_list, const std::array< disarray< geo_element_auto< heap_allocator< size_type > >, distributed >, reference_element::max_variant > &elt_list)
distributor | geo_element_ios_ownership (size_type dim) const
size_type | ige2ios_dis_ige (size_type dim, size_type ige) const
size_type | dis_ige2ios_dis_ige (size_type dim, size_type dis_ige) const
size_type | ios_ige2dis_ige (size_type dim, size_type ios_ige) const
const geo_size & | ios_sizes () const
void | locate (const disarray< point_basic< T >, distributed > &x, disarray< size_type, distributed > &dis_ie, bool do_check=false) const
void | trace_ray_boundary (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y, bool do_check=false) const
void | trace_move (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y) const
void | nearest (const disarray< point_basic< T >, distributed > &x, disarray< point_basic< T >, distributed > &x_nearest, disarray< size_type, distributed > &dis_ie) const
size_type | map_dimension () const
bool | is_broken () const
size_type | size (size_type dim) const
const distributor & | geo_element_ownership (size_type dim) const
const_reference | get_geo_element (size_type dim, size_type ige) const
reference | get_geo_element (size_type dim, size_type ige)
const_iterator | begin (size_type dim) const
const_iterator | end (size_type dim) const
iterator | begin (size_type dim)
iterator | end (size_type dim)
const geo_element_map_type & | get_external_geo_element_map (size_type variant) const
const domain_indirect_basic< distributed > & | get_domain_indirect (size_type idom) const
const domain_indirect_basic< distributed > & | get_domain_indirect (const std::string &name) const
size_type | size () const
const distributor & | vertex_ownership () const
const_reference | operator[] (size_type ie) const
void | reset_order (size_type order)
void | build_by_subdividing (const geo_basic< T, distributed > &omega, size_type k)
idiststream & | get (idiststream &)
odiststream & | put (odiststream &) const
void | dump (std::string name) const
void | load (std::string name, const communicator &comm)
bool | check (bool verbose) const
void | set_ios_permutation (disarray< size_type, distributed > &idof2ios_dis_idof) const
const std::array< disarray< size_type, distributed >, reference_element::max_variant > & | get_igev2ios_dis_igev () const
Public Member Functions inherited from geo_base_rep< T, distributed >
| geo_base_rep ()
| geo_base_rep (const geo_base_rep< T, distributed > &)
void | build_from_list (const geo_basic< T, distributed > &lambda, const disarray< point_basic< T >, distributed > &node_list, const std::array< disarray< geo_element_auto< heap_allocator< size_type > >, distributed >, reference_element::max_variant > &elt_list)
| ~geo_base_rep ()
size_type | variant () const
std::string | familyname () const
std::string | name () const
size_type | serial_number () const
size_type | dimension () const
size_type | map_dimension () const
bool | is_broken () const
coordinate_type | coordinate_system () const
void | set_coordinate_system (coordinate_type sys_coord)
void | set_name (std::string name)
void | set_dimension (size_type dim)
void | set_serial_number (size_type i)
const basis_basic< T > & | get_piola_basis () const
const node_type & | xmin () const
const node_type & | xmax () const
const T & | hmin () const
const T & | hmax () const
const geo_size & | sizes () const
const geo_size & | ios_sizes () const
const distributor & | geo_element_ownership (size_type dim) const
const_reference | get_geo_element (size_type dim, size_type ige) const
reference | get_geo_element (size_type dim, size_type ige)
const_reference | dis_get_geo_element (size_type dim, size_type dis_ige) const
const_iterator_by_variant | begin_by_variant (variant_type variant) const
iterator_by_variant | begin_by_variant (variant_type variant)
const_iterator_by_variant | end_by_variant (variant_type variant) const
iterator_by_variant | end_by_variant (variant_type variant)
const node_type & | node (size_type inod) const
const node_type & | node (const geo_element &K, size_type loc_inod) const
const node_type & | dis_node (size_type dis_inod) const
void | dis_inod (const geo_element &K, std::vector< size_type > &dis_inod) const
const disarray< node_type, distributed > & | get_nodes () const
void | set_nodes (const disarray< node_type, distributed > &x)
size_type | n_domain_indirect () const
bool | have_domain_indirect (const std::string &name) const
const domain_indirect_basic< distributed > & | get_domain_indirect (size_type i) const
const domain_indirect_basic< distributed > & | get_domain_indirect (const std::string &name) const
void | insert_domain_indirect (const domain_indirect_basic< distributed > &dom) const
size_type | seq_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
size_type | dis_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
size_type | seq_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
size_type | dis_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
size_type | seq_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
size_type | dis_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
size_type | neighbour (size_type ie, size_type loc_isid) const
void | neighbour_guard () const
iterator | begin (size_type dim)
| iterator by dimension: wraps iterator by geo_element variant
const_iterator | begin (size_type dim) const
const_iterator | begin () const
iterator | end (size_type dim)
const_iterator | end (size_type dim) const
const_iterator | end () const
size_type | size (size_type dim) const
size_type | size () const
size_type | dis_size (size_type dim) const
size_type | dis_size () const
const distributor & | ownership () const
const distributor & | vertex_ownership () const
const communicator & | comm () const
size_type | order () const
size_type | n_node () const
size_type | dis_n_node () const
size_type | n_vertex () const
size_type | dis_n_vertex () const
size_type | dis_n_edge () const
size_type | dis_n_face () const
size_type | dis_inod2dis_iv (size_type dis_inod) const
size_type | dis_iv2dis_inod (size_type dis_iv) const
const_reference | operator[] (size_type ie) const
reference | operator[] (size_type ie)
const_iterator | begin_edge () const
const_iterator | end_edge () const
const_iterator | begin_face () const
const_iterator | end_face () const

## Protected Member Functions

void | build_external_entities ()
void | set_element_side_index (size_type side_dim)
void | domain_set_side_part1 (const domain_indirect_rep< distributed > &indirect, const geo_abstract_rep< T, distributed > &bgd_omega, size_type sid_dim, disarray< size_type > &bgd_isid2dom_dis_isid, disarray< size_type > &dom_isid2bgd_isid, disarray< size_type > &dom_isid2dom_ios_dis_isid, size_type size_by_variant[reference_element::max_variant])
void | domain_set_side_part2 (const domain_indirect_rep< distributed > &indirect, const geo_abstract_rep< T, distributed > &bgd_omega, disarray< size_type > &bgd_iv2dom_dis_iv, size_type sid_dim, disarray< size_type > &bgd_isid2dom_dis_isid, disarray< size_type > &dom_isid2bgd_isid, disarray< size_type > &dom_isid2dom_ios_dis_isid, size_type size_by_variant[reference_element::max_variant])
void | node_renumbering (const distributor &ios_node_ownership)
Protected Member Functions inherited from geo_base_rep< T, distributed >
void | compute_bbox ()
void | init_neighbour () const

## Protected Attributes

disarray< size_type > | _inod2ios_dis_inod
disarray< size_type > | _ios_inod2dis_inod
std::array< disarray< size_type >, 4 > | _ios_ige2dis_ige
geo_size | _ios_gs
std::array< disarray< size_type, distributed >, reference_element::max_variant > | _igev2ios_dis_igev
std::array< disarray< size_type, distributed >, reference_element::max_variant > | _ios_igev2dis_igev
Protected Attributes inherited from geo_base_rep< T, distributed >
std::string | _name
size_type | _version
size_type | _serial_number
std::array< hack_array< geo_element_hack, distributed >, reference_element::max_variant > | _geo_element
geo_size | _gs
std::vector< domain_indirect_basic< distributed > > | _domains
bool | _have_connectivity
bool | _have_neighbour
disarray< node_type, distributed > | _node
size_type | _dimension
coordinate_type | _sys_coord
node_type | _xmin
node_type | _xmax
T | _hmin
T | _hmax
basis_basic< T > | _piola_basis
geo_locate< T, distributed > | _locator
geo_trace_ray_boundary< T, distributed > | _tracer_ray_boundary
geo_nearest< T, distributed > | _nearestor

## Additional Inherited Members

Static Public Member Functions inherited from geo_base_rep< T, distributed >
static loaded_map_t & | loaded_map ()
Static Protected Attributes inherited from geo_base_rep< T, distributed >
static loaded_map_t | _loaded_map

## Member Typedef Documentation

## base

template<class T >

typedef geo_base_rep<T,distributed> base

Definition at line 933 of file geo.h.

## size_type

template<class T >

typedef base::size_type size_type

Definition at line 934 of file geo.h.

## node_type

template<class T >

typedef base::node_type node_type

Definition at line 935 of file geo.h.

## variant_type

template<class T >

typedef base::variant_type variant_type

Definition at line 936 of file geo.h.

## node_map_type

template<class T >

typedef base::node_map_type node_map_type

Definition at line 937 of file geo.h.

## reference

template<class T >

typedef base::reference reference

Definition at line 938 of file geo.h.

## const_reference

template<class T >

typedef base::const_reference const_reference

Definition at line 939 of file geo.h.

## iterator

template<class T >

typedef base::iterator iterator

Definition at line 940 of file geo.h.

## const_iterator

template<class T >

typedef base::const_iterator const_iterator

Definition at line 941 of file geo.h.

## iterator_by_variant

template<class T >

typedef base::iterator_by_variant iterator_by_variant

Definition at line 942 of file geo.h.

## const_iterator_by_variant

template<class T >

typedef base::const_iterator_by_variant const_iterator_by_variant

Definition at line 943 of file geo.h.

## coordinate_type

template<class T >

typedef base::coordinate_type coordinate_type

Definition at line 944 of file geo.h.

## geo_element_map_type

template<class T >

typedef base::geo_element_map_type geo_element_map_type

Definition at line 945 of file geo.h.

## Constructor & Destructor Documentation

## geo_rep() [1/3]

template<class T >

geo_rep | ( |  | ) |

Definition at line 112 of file geo.cc.

## geo_rep() [2/3]

template<class T >

geo_rep | ( | const geo_rep< T, distributed > & | o | ) |

Definition at line 123 of file geo.cc.

## geo_rep() [3/3]

template<class T >

geo_rep | ( | const geo_basic< T, distributed > & | lambda,
|  | const disarray< point_basic< T >, distributed > & | node_list,
|  | const std::array< disarray< geo_element_auto< heap_allocator< size_type > >, distributed >, reference_element::max_variant > & | elt_list
| ) |  |

Definition at line 148 of file geo_build_from_list.cc.

## Member Function Documentation

## clone()

template<class T >

geo_abstract_rep< T, distributed > * clone | ( |  | ) | const

Definition at line 136 of file geo.cc.

## build_from_domain()

template<class T >

void build_from_domain | ( | const domain_indirect_rep< distributed > & | indirect,
|  | const geo_abstract_rep< T, distributed > & | bgd_omega,
|  | std::map< size_type, size_type > & | bgd_ie2dom_ie,
|  | std::map< size_type, size_type > & | bgd_dis_ie2dom_dis_ie
| ) |  |

build_from_domain : geo constructor

Implementation notes:

There are four vertices numbering:

a) bgd_iv : background vertex index i.e. index of vertex as numbered in the backgroud geo omega

b) bgd_ios_iv : background vertex index for i/o (nproc independent)

c) dom_iv : index of a vertex as numbered in the current geo_domain this is a reduced set of vertices: vertices that not appears in the list of elements of the domain are skipped. This numbering is constrained to follow the background vertex distribution.

d) dom_ios_iv : index of a vertex on the domain for i/o (nproc independent) This numbering is constrained to follow the background ios vertex distribution.

The numbering bgd_iv and bgd_ios_iv are already defined. The numbering dom_iv and dom_ios_iv are defined here. The correspondances dom_iv <--> dom_ios_iv are also defined for i/o.

Algorithm: for vertices renumbering

1) scan the domain and mark vertex in the bgd numbering: bool bgd_iv_is_on_domain [bgd_iv_ownership] = false bool bgd_ios_iv_is_on_domain [bgd_ios_iv_ownership] = false for K in omega.domain for iloc=0..K.size bgd_dis_iv = K[iloc] bgd_ios_dis_ie = omega.dis_ie2ios_dis_ie (0,bgd_iv) bgd_iv_is_on_domain [[bgd_dis_iv]] = true bgd_ios_iv_is_on_domain [[bgd_ios_dis_iv]] = true bgd_iv_is_on_domain.assembly bgd_ios_iv_is_on_domain.assembly

2) counting & distribution for dom_iv dom_nv = 0 for bdg_iv = ... if bgd_iv_is_on_domain [bgd_iv] then dom_nv++ dom_iv_ownership = distributor (-,comm,dom_nv)

3) numbering dom_iv & permutation: bgd_iv --> dom_iv disarray bgd_iv2dom_iv [bgd_iv_ownership] dom_iv = 0 for bdg_iv = ... if bgd_iv_is_on_domain [bgd_iv] then bgd_iv2dom_iv [bgd_iv] = dom_iv dom_iv++

4) counting & distribution for dom_ios_iv dom_ios_nv = 0 for bdg_ios_iv = ... if bgd_ios_iv_is_on_domain [bgd_ios_iv] then dom_ios_nv++ dom_ios_iv_ownership = distributor (-,comm,dom_ios_nv)

5) numbering dom_ios_iv & permutation: bgd_ios_iv --> dom_ios_iv disarray bgd_ios_iv2dom_ios_iv [bgd_ios_iv_ownership] dom_ios_iv = 0 for bdg_ios_iv = ... if bgd_ios_iv_is_on_domain [bgd_ios_iv] then bgd_ios_iv2dom_ios_iv [bgd_ios_iv] = dom_ios_iv dom_ios_iv++

6) permutation: bgd_iv --> dom_ios_iv disarray bgd_iv2dom_ios_dis_iv [bgd_iv_ownership] for bdg_ios_iv = ... if bgd_ios_iv_is_on_domain [bgd_ios_iv] then dom_ios_iv = bgd_ios_iv2dom_ios_iv [bgd_ios_iv] bgd_dis_iv = omega.ios_iv2dis_iv (bgd_ios_iv) bgd_iv2dom_ios_dis_iv [[bgd_dis_iv]] = dom_ios_dis_iv bgd_iv2dom_ios_dis_iv.assembly

7) permutations: dom_ios_iv <--> dom_iv disarray dom_ios_iv2dom_dis_iv [dom_iv_ownership] disarray dom_iv2dom_ios_dis_iv [dom_ios_iv_ownership] for bdg_iv = ... if bgd_iv_is_on_domain [bgd_iv] then dom_iv = bgd_iv2dom_iv [bgd_iv] dom_ios_dis_iv = bgd_iv2dom_ios_dis_iv [bgd_iv] dom_iv2dom_ios_dis_iv [dom_iv] = dom_ios_dis_iv dom_dis_iv = first_dom_dis_iv + dom_iv dom_ios_iv2dom_dis_iv [[dom_ios_dis_iv]] = dom_dis_iv dom_ios_iv2dom_dis_iv.assembly

8) loop on elements and copy from domain with new vertex numbering

Definition at line 309 of file geo_domain_mpi.cc.

## geo_element_ios_ownership()

template<class T >

distributor geo_element_ios_ownership | ( | size_type | dim | ) | const

Definition at line 39 of file geo_mpi.cc.

## ige2ios_dis_ige()

template<class T >

geo_rep< T, distributed >::size_type ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | ige
| ) |  | const

Definition at line 51 of file geo_mpi.cc.

## dis_ige2ios_dis_ige()

template<class T >

geo_rep< T, distributed >::size_type dis_ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | dis_ige
| ) |  | const

Definition at line 29 of file geo_mpi.cc.

## ios_ige2dis_ige()

template<class T >

geo_rep< T, distributed >::size_type ios_ige2dis_ige | ( | size_type | dim,
|  | size_type | ios_ige
| ) |  | const

Definition at line 45 of file geo_mpi.cc.

## ios_sizes()

template<class T >

const geo_size & ios_sizes | ( |  | ) | const

Definition at line 973 of file geo.h.

## locate()

template<class T >

void locate | ( | const disarray< point_basic< T >, distributed > & | x,
|  | disarray< size_type, distributed > & | dis_ie,
|  | bool | do_check = `false`
| ) |  | const

Definition at line 441 of file geo_locate.cc.

## trace_ray_boundary()

template<class T >

void trace_ray_boundary | ( | const disarray< point_basic< T >, distributed > & | x,
|  | const disarray< point_basic< T >, distributed > & | v,
|  | disarray< size_type, distributed > & | dis_ie,
|  | disarray< point_basic< T >, distributed > & | y,
|  | bool | do_check = `false`
| ) |  | const

Definition at line 602 of file geo_trace_ray_boundary.cc.

## trace_move()

template<class T >

void trace_move | ( | const disarray< point_basic< T >, distributed > & | x,
|  | const disarray< point_basic< T >, distributed > & | v,
|  | disarray< size_type, distributed > & | dis_ie,
|  | disarray< point_basic< T >, distributed > & | y
| ) |  | const

Definition at line 128 of file geo_trace_move.cc.

## nearest()

template<class T >

void nearest | ( | const disarray< point_basic< T >, distributed > & | x,
|  | disarray< point_basic< T >, distributed > & | x_nearest,
|  | disarray< size_type, distributed > & | dis_ie
| ) |  | const

Definition at line 380 of file geo_nearest.cc.

## map_dimension()

template<class T >

size_type map_dimension | ( |  | ) | const

Definition at line 996 of file geo.h.

## is_broken()

template<class T >

bool is_broken | ( |  | ) | const

Definition at line 997 of file geo.h.

## size() [1/2]

template<class T >

size_type size | ( | size_type | dim | ) | const

Definition at line 998 of file geo.h.

## geo_element_ownership()

template<class T >

const distributor & geo_element_ownership | ( | size_type | dim | ) | const

Definition at line 999 of file geo.h.

## get_geo_element() [1/2]

template<class T >

const_reference get_geo_element | ( | size_type | dim,
|  | size_type | ige
| ) |  | const

Definition at line 1000 of file geo.h.

## get_geo_element() [2/2]

template<class T >

reference get_geo_element | ( | size_type | dim,
|  | size_type | ige
| ) |  |

Definition at line 1001 of file geo.h.

## begin() [1/2]

template<class T >

const_iterator begin | ( | size_type | dim | ) | const

Definition at line 1003 of file geo.h.

## end() [1/2]

template<class T >

const_iterator end | ( | size_type | dim | ) | const

Definition at line 1004 of file geo.h.

## begin() [2/2]

template<class T >

iterator begin | ( | size_type | dim | ) |

Definition at line 1005 of file geo.h.

## end() [2/2]

template<class T >

iterator end | ( | size_type | dim | ) |

Definition at line 1006 of file geo.h.

## get_external_geo_element_map()

template<class T >

const geo_element_map_type & get_external_geo_element_map | ( | size_type | variant | ) | const

Definition at line 1007 of file geo.h.

## get_domain_indirect() [1/2]

template<class T >

const domain_indirect_basic< distributed > & get_domain_indirect | ( | size_type | idom | ) | const

Definition at line 1010 of file geo.h.

## get_domain_indirect() [2/2]

template<class T >

const domain_indirect_basic< distributed > & get_domain_indirect | ( | const std::string & | name | ) | const

Definition at line 1011 of file geo.h.

## size() [2/2]

template<class T >

size_type size | ( |  | ) | const

Definition at line 1015 of file geo.h.

## vertex_ownership()

template<class T >

const distributor & vertex_ownership | ( |  | ) | const

Definition at line 1016 of file geo.h.

## operator[]()

template<class T >

const_reference operator[] | ( | size_type | ie | ) | const

Definition at line 1017 of file geo.h.

## reset_order()

template<class T >

void reset_order | ( | size_type | order | ) |

## build_by_subdividing()

template<class T >

void build_by_subdividing | ( | const geo_basic< T, distributed > & | omega,
|  | size_type | k
| ) |  |

## get()

template<class T >

idiststream & get | ( | idiststream & | ips | ) |

Definition at line 637 of file geo_mpi_get.cc.

## put()

template<class T >

odiststream & put | ( | odiststream & | ops | ) | const

Definition at line 52 of file geo_mpi_put.cc.

## dump()

template<class T >

void dump | ( | std::string | name | ) | const

Definition at line 151 of file geo_mpi_put.cc.

## load()

template<class T >

void load | ( | std::string | name,
|  | const communicator & | comm
| ) |  |

Definition at line 998 of file geo_mpi_get.cc.

## check()

template<class T >

bool check | ( | bool | verbose | ) | const

Definition at line 163 of file geo_seq_check.cc.

## set_ios_permutation()

template<class T >

void set_ios_permutation | ( | disarray< size_type, distributed > & | idof2ios_dis_idof | ) | const

Definition at line 620 of file geo_mpi_get.cc.

## build_external_entities()

template<class T >

void build_external_entities | ( |  | ) |

protected

loop on geo_element (edges, faces, etc): identify some vertices, that are referenced by locally-managed geo_elements, but these vertices are managed

## by another processor: e.g. vertices at a partition boundary.

Definition at line 349 of file geo_mpi_get.cc.

## set_element_side_index()

template<class T >

void set_element_side_index | ( | size_type | side_dim | ) |

protected

## on any 3d geo_element K, set K.dis_iface(iloc) number

Definition at line 451 of file geo_mpi_get.cc.

## domain_set_side_part1()

template<class T >

void domain_set_side_part1 | ( | const domain_indirect_rep< distributed > & | indirect,
|  | const geo_abstract_rep< T, distributed > & | bgd_omega,
|  | size_type | sid_dim,
|  | disarray< size_type > & | bgd_isid2dom_dis_isid,
|  | disarray< size_type > & | dom_isid2bgd_isid,
|  | disarray< size_type > & | dom_isid2dom_ios_dis_isid,
|  | size_type | size_by_variant[reference_element::max_variant]
| ) |  |

protected

Definition at line 34 of file geo_domain_mpi.cc.

## domain_set_side_part2()

template<class T >

void domain_set_side_part2 | ( | const domain_indirect_rep< distributed > & | indirect,
|  | const geo_abstract_rep< T, distributed > & | bgd_omega,
|  | disarray< size_type > & | bgd_iv2dom_dis_iv,
|  | size_type | sid_dim,
|  | disarray< size_type > & | bgd_isid2dom_dis_isid,
|  | disarray< size_type > & | dom_isid2bgd_isid,
|  | disarray< size_type > & | dom_isid2dom_ios_dis_isid,
|  | size_type | size_by_variant[reference_element::max_variant]
| ) |  |

protected

Definition at line 156 of file geo_domain_mpi.cc.

## node_renumbering()

template<class T >

void node_renumbering | ( | const distributor & | ios_node_ownership | ) |

protected

Definition at line 626 of file geo_mpi_get.cc.

## get_igev2ios_dis_igev()

template<class T >

const std::array< disarray< size_type, distributed >, reference_element::max_variant > & get_igev2ios_dis_igev | ( |  | ) | const

Definition at line 1074 of file geo.h.

## Member Data Documentation

## _inod2ios_dis_inod

template<class T >

disarray<size_type> _inod2ios_dis_inod

protected

Definition at line 1064 of file geo.h.

## _ios_inod2dis_inod

template<class T >

disarray<size_type> _ios_inod2dis_inod

protected

Definition at line 1065 of file geo.h.

## _ios_ige2dis_ige

template<class T >

std::array<disarray<size_type>, 4> _ios_ige2dis_ige

protected

Definition at line 1066 of file geo.h.

## _ios_gs

template<class T >

geo_size _ios_gs

protected

Definition at line 1067 of file geo.h.

## _igev2ios_dis_igev

template<class T >

std::array<disarray<size_type,distributed>,reference_element::max_variant> _igev2ios_dis_igev

protected

Definition at line 1068 of file geo.h.

## _ios_igev2dis_igev

template<class T >

std::array<disarray<size_type,distributed>,reference_element::max_variant> _ios_igev2dis_igev

protected

Definition at line 1069 of file geo.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo.h
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_build_from_list.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_domain_mpi.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_locate.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_mpi.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_mpi_get.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_mpi_put.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_nearest.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_seq_check.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_trace_move.cc
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo_trace_ray_boundary.cc